#ifndef ENTITY_H
#define ENTITY_H

#include "olcPGEX_Graphics2D.h"
#include "olcPixelGameEngine.h"

namespace pabloader {    
class Awoorwae;

class Entity {
protected:
    Awoorwae* game;
    olc::GFX2D::Transform2D transform;
    float x, y;
    float xv, yv;
    int w, h;

public:
    Entity(Awoorwae* game_);
    virtual ~Entity(){};
    
    virtual void Update(float dt) = 0;
    virtual void Draw() = 0;
    bool Collides(Entity* entity);
};
}

#endif